package classes;

import java.util.ArrayList;

/**
 * The class "subNet" represents ....
 * 
 * @author Gruppe14
 *
 */
public class SubNet {
	private ArrayList<HolonObject> subNetObjects;
	private ArrayList<CpsEdge> subNetEdges;
	private ArrayList<HolonSwitch> subNetSwitches;
	private Position pos;
	/**
	 * Constructor for a Subnet.
	 * 
	 * @param objects
	 *            Objects in the Subnet
	 * @param edges
	 *            Edges in the Subnet
	 * @param switches
	 *            Switches in the Subnet
	 */
	public SubNet(ArrayList<HolonObject> objects, ArrayList<CpsEdge> edges, ArrayList<HolonSwitch> switches) {
		subNetObjects = objects;
		subNetEdges = edges;
		subNetSwitches = switches;
	}

	/**
	 * Return all Objects in the Subnet.
	 * 
	 * @return all Objects in the Subnet
	 */
	public ArrayList<HolonObject> getObjects() {
		return subNetObjects;
	}
	/**
	 * Return all Edges in the Subnet.
	 * 
	 * @return all Edges in the Subnet
	 */
	public ArrayList<CpsEdge> getEdges() {
		return subNetEdges;
	}

	/**
	 * Return all Switches in the Subnet.
	 * 
	 * @return all Switches in the Subnet
	 */
	public ArrayList<HolonSwitch> getSwitches() {
		return subNetSwitches;
	}


	public Position getPos() {
		return pos;
	}

	public void setPos(Position pos) {
		this.pos = pos;
	}
	
	public void setPos(int x, int y){
		this.pos.x = x;
		this.pos.y = y;
	}
}
